NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Routing::LineSegment Class Reference

Represents a line segment. More...

Inheritance diagram for NXOpen::Routing::LineSegment:
NXOpen::Line NXOpen::Routing::ISegment NXOpen::Curve NXOpen::Routing::ICharacteristic NXOpen::SmartObject NXOpen::ICurve NXOpen::IProfile NXOpen::INXObject NXOpen::DisplayableObject NXOpen::IBaseCurve NXOpen::INXObject NXOpen::NXObject NXOpen::IFitTo NXOpen::INXObject NXOpen::TaggedObject NXOpen::INXObject NXOpen::INXObject

Public Member Functions

virtual
NXOpen::Routing::ConvertEccentricLinearToLinear 
ConvertEccentricLinearToLinear ()
 Is line segment eccentric converted to line segment? More...
 
virtual
NXOpen::Routing::ConvertLinearToEccentricLinear 
ConvertLinearToEccentricLinear ()
 Is line segment converted to eccentric line segment? More...
 
virtual void DeleteCharacterstics (NXOpen::Routing::CharacteristicList *values)
 Removes the input list of characteristics from this object. More...
 
virtual NXOpen::CurveFollowCurve ()
 Returns the segment follow curve. More...
 
virtual std::vector
< NXOpen::Routing::Electrical::CableDevice * > 
GetCableDevices ()
 Returns NXOpen::Routing::Electrical::CableDevice objects from NXOpen::Routing::ISegment . More...
 
virtual std::vector
< NXOpen::Routing::Electrical::CablewaysLayoutView * > 
GetCablewaysLayoutViews ()
 Returns NXOpen::Routing::Electrical::CablewaysLayoutView objects from the NXOpen::Routing::ISegment . More...
 
virtual
NXOpen::Routing::CharacteristicList
GetCharacteristics ()
 Get all of the characteristics values on the this object. More...
 
virtual
NXOpen::Routing::CharacteristicList
GetDestinationCharacteristics ()
 Returns the destination characteristics from the input object. More...
 
virtual void GetEndPoints (NXOpen::Point3d *startPoint, NXOpen::Point3d *endPoint)
 Get the current location of the segment ends in ABS coordinates. More...
 
virtual void GetEndRcps (NXOpen::Routing::ControlPoint **startRcp, NXOpen::Routing::ControlPoint **endRcp)
 Return of segment end control points. More...
 
NXString GetGuid ()
 Returns the Globally Unique Identifier (GUID) for this segment. More...
 
virtual int GetIntegerCharacteristic (const NXString &name)
 Get the value of an integer characteristic associated with the input name. More...
 
virtual int GetIntegerCharacteristic (const char *name)
 Get the value of an integer characteristic associated with the input name. More...
 
virtual NXOpen::Routing::Eccentric GetIsEccentricSegment ()
 Is given segment a eccentric segment? More...
 
virtual NXOpen::Routing::Interior GetIsSegmentInterior ()
 Query if a segment is interior to any part. More...
 
virtual NXOpen::Routing::Terminal GetIsTerminalSegment ()
 Is given segment a terminal segment? More...
 
virtual double GetRealCharacteristic (const NXString &name)
 Get the value of a real characteristic associated with the input name. More...
 
virtual double GetRealCharacteristic (const char *name)
 Get the value of a real characteristic associated with the input name. More...
 
virtual std::vector
< NXOpen::Routing::Stock * > 
GetSegmentAllStocks ()
 Returns NXOpen::Routing::Stock as well as NXOpen::Routing::Overstock objects from the NXOpen::Routing::ISegment . More...
 
virtual std::vector
< NXOpen::Routing::Stock * > 
GetSegmentStock ()
 Returns all stocks that directly reference this segment as part of the path defining the stock. More...
 
virtual NXString GetStringCharacteristic (const NXString &name)
 Get the value of a string characteristic associated with the input name. More...
 
virtual NXString GetStringCharacteristic (const char *name)
 Get the value of a string characteristic associated with the input name. More...
 
bool IsAngleLocked (NXOpen::NXObject *object)
 Returns whether or not an angle, parallel or perpendicular constraint exists that constrains the angle between this segment and the other input object. More...
 
bool IsLengthLocked ()
 Returns whether or not a distance constraint exists that constrains the distance between the two end control points of this line segment. More...
 
virtual double Length ()
 Returns the length of the segment. More...
 
NXOpen::Positioning::ConstraintLockAngle (NXOpen::NXObject *object, bool logicalConsOnly)
 Adds a constraint to maintain the angle of this line segment with respect to another object. More...
 
NXOpen::Positioning::ConstraintLockLength ()
 Adds a constraint to maintain the length of this line segment. More...
 
virtual void SetCharacteristic (const NXString &name, int value)
 Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
virtual void SetCharacteristic (const char *name, int value)
 Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
virtual void SetCharacteristic (const NXString &name, double value)
 Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
virtual void SetCharacteristic (const char *name, double value)
 Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
virtual void SetCharacteristic (const NXString &name, const NXString &value)
 Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
virtual void SetCharacteristic (const char *name, const char *value)
 Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
virtual void SetCharacteristic2 (const NXString &title, int value)
 Sets or creates an integer type attribute associated with the input title. More...
 
virtual void SetCharacteristic2 (const char *title, int value)
 Sets or creates an integer type attribute associated with the input title. More...
 
virtual void SetCharacteristic2 (const NXString &title, double value)
 Sets or creates a double type attribute associated with the input title. More...
 
virtual void SetCharacteristic2 (const char *title, double value)
 Sets or creates a double type attribute associated with the input title. More...
 
virtual void SetCharacteristic2 (const NXString &title, const NXString &value)
 Sets or creates a string type type attribute associated with the input title. More...
 
virtual void SetCharacteristic2 (const char *title, const char *value)
 Sets or creates a string type type attribute associated with the input title. More...
 
virtual void SetCharacteristics (NXOpen::Routing::CharacteristicList *values)
 Set all of the characteristics values on this object. More...
 
virtual void SetCharacteristics2 (NXOpen::Routing::CharacteristicList *values)
 Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already. More...
 
virtual void SetEndPoints (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint)
 Set the current location of the segment ends in ABS coordinates. More...
 
virtual void SetEndRcps (NXOpen::Routing::ControlPoint *startRcp, NXOpen::Routing::ControlPoint *endRcp)
 
Created in NX4.0.0. More...
 
virtual void SetIsTerminalSegment (NXOpen::Routing::Terminal isTerminal)
 Set given segment to be a terminal segment?
Created in NX4.0.0. More...
 
virtual void SetSegmentInteriorPart (NXOpen::Assemblies::Component *interiorPart)
 Set a segment to be interior to supplied part
Created in NX4.0.0. More...
 
void UnlockAngle (NXOpen::NXObject *object)
 Removes the angle, parallel or perpendicular constraint that constrains the angle between this line segment and the input object. More...
 
void UnlockLength ()
 Removes the distance constraint that constrains the distance between the two end control points of this line segment. More...
 
- Public Member Functions inherited from NXOpen::Line
NXOpen::Point3d EndPoint ()
 Returns the end point of the line
Created in NX3.0.0. More...
 
void SetEndPoint (const NXOpen::Point3d &endPoint)
 Sets the end point of the line
Created in NX3.0.0. More...
 
void SetEndpoints (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint)
 Sets the start and end points of the line
Created in NX3.0.0. More...
 
void SetStartPoint (const NXOpen::Point3d &startPoint)
 Sets the start point of the line
Created in NX3.0.0. More...
 
NXOpen::Point3d StartPoint ()
 Returns the start point of the line
Created in NX3.0.0. More...
 
- Public Member Functions inherited from NXOpen::Curve
virtual
NXOpen::Drawings::DraftingCurveInfo
GetDraftingCurveInfo ()
 Creates new DraftingCurveInfo object. More...
 
virtual double GetLength ()
 Returns the length of the object. More...
 
virtual bool IsReference ()
 Returns the reference state of a curve
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::SmartObject
void Evaluate ()
 Evaluate a smart object. More...
 
void ProtectFromDelete ()
 Protects the SmartObject from being deleted if any referencing objects are deleted. More...
 
void ReleaseDeleteProtection ()
 Removes delete protection from the SmartObject. More...
 
void RemoveParameters ()
 Removes the smart object parameters. More...
 
void ReplaceParameters (NXOpen::SmartObject *otherSo)
 Edit a smart object by replacing its parameters using parameters of other smart object of the same class. More...
 
void SetVisibility (NXOpen::SmartObject::VisibilityOption visibility)
 Sets the visibility. More...
 
NXOpen::SmartObject::UpdateOption Update ()
 Returns the update option. More...
 
NXOpen::SmartObject::VisibilityOption Visibility ()
 Returns the visibility. More...
 
- Public Member Functions inherited from NXOpen::DisplayableObject
void Blank ()
 Blanks the object. More...
 
int Color ()
 Returns the color of the object. More...
 
void Highlight ()
 Highlights the object. More...
 
bool IsBlanked ()
 Returns the blank status of this object. More...
 
int Layer ()
 Returns the layer that the object is in. More...
 
NXOpen::DisplayableObject::ObjectFont LineFont ()
 Returns the line font of the object. More...
 
NXOpen::DisplayableObject::ObjectWidth LineWidth ()
 Returns the line width of the object. More...
 
NXOpen::Point3d NameLocation ()
 Returns the location of the object's name. More...
 
void RedisplayObject ()
 Redisplays the object in all views. More...
 
void RemoveViewDependency ()
 Remove dependency on all views from an object. More...
 
void SetColor (int color)
 Sets the color of the object. More...
 
void SetLayer (int layer)
 Sets the layer that the object is in. More...
 
void SetLineFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the line font of the object. More...
 
void SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the line width of the object. More...
 
void SetNameLocation (const NXOpen::Point3d &location)
 Sets the location of the object's name. More...
 
void Unblank ()
 Unblanks the object. More...
 
void Unhighlight ()
 Unhighlights the object. More...
 
- Public Member Functions inherited from NXOpen::NXObject
NXOpen::AttributeIteratorCreateAttributeIterator ()
 Create an attribute iterator. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::AttributeIterator *iterator, NXOpen::Update::Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator
Created in NX8.0.0. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
bool GetNextUserAttribute (NXOpen::AttributeIterator *iterator, NXOpen::NXObject::AttributeInformation *info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
NXString GetPdmReferenceAttributeValue (const NXString &attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
NXString GetPdmReferenceAttributeValue (const char *attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (NXOpen::AttributeIterator *iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (NXOpen::AttributeIterator *iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual NXString Name ()
 Returns the custom name of the object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetPdmReferenceAttribute (const NXString &attributeTitle, const NXString &attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetPdmReferenceAttribute (const char *attributeTitle, const char *attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen::SmartObject
enum  UpdateOption {
  UpdateOptionDontUpdate, UpdateOptionWithinModeling, UpdateOptionAfterModeling, UpdateOptionAfterParentBody,
  UpdateOptionMixed
}
 Specifies when the smart object updates. More...
 
enum  VisibilityOption { VisibilityOptionInvisible, VisibilityOptionVisible, VisibilityOptionVisibleIfParentInvisible }
 Specifies the smart object visibility. More...
 

Detailed Description

Represents a line segment.


To obtain an instance of this class use NXOpen::Routing::LineSegmentCollection

Created in NX4.0.0.

Member Function Documentation

virtual NXOpen::Routing::ConvertEccentricLinearToLinear NXOpen::Routing::LineSegment::ConvertEccentricLinearToLinear ( )
virtual

Is line segment eccentric converted to line segment?

Returns
Is line segment eccentric converted to line segment?
Created in NX8.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual NXOpen::Routing::ConvertLinearToEccentricLinear NXOpen::Routing::LineSegment::ConvertLinearToEccentricLinear ( )
virtual

Is line segment converted to eccentric line segment?

Returns
Is line segment converted to eccentric line segment?
Created in NX8.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual void NXOpen::Routing::LineSegment::DeleteCharacterstics ( NXOpen::Routing::CharacteristicList values)
virtual

Removes the input list of characteristics from this object.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
valuesvalues

Implements NXOpen::Routing::ICharacteristic.

virtual NXOpen::Curve* NXOpen::Routing::LineSegment::FollowCurve ( )
virtual

Returns the segment follow curve.

NULL object indicates segment has no follow curve
Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual std::vector<NXOpen::Routing::Electrical::CableDevice *> NXOpen::Routing::LineSegment::GetCableDevices ( )
virtual

Returns NXOpen::Routing::Electrical::CableDevice objects from NXOpen::Routing::ISegment .

Returns
Array of cable devices.
Created in NX7.5.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual std::vector<NXOpen::Routing::Electrical::CablewaysLayoutView *> NXOpen::Routing::LineSegment::GetCablewaysLayoutViews ( )
virtual

Returns NXOpen::Routing::Electrical::CablewaysLayoutView objects from the NXOpen::Routing::ISegment .

Returns
Array of cableways layout views.
Created in NX7.5.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual NXOpen::Routing::CharacteristicList* NXOpen::Routing::LineSegment::GetCharacteristics ( )
virtual

Get all of the characteristics values on the this object.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Implements NXOpen::Routing::ICharacteristic.

virtual NXOpen::Routing::CharacteristicList* NXOpen::Routing::LineSegment::GetDestinationCharacteristics ( )
virtual

Returns the destination characteristics from the input object.

Retrieves the description of which destination characteristics to read from the application view and then reads those destination characteristics from the object

  • Ports: Reads characteristics from the port.
  • RCPs: Attempts to find a port at the RCP, reads characteristics from the port if it exists, otherwise reads from the stock associated with the rcp.
  • Segments: Reads characteristics from the stock associated with the segment.
  • Components: Reads characteristics directly from the component.
  • Stock: Reads characteristics from the stock or from the stock's data.
Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::GetEndPoints ( NXOpen::Point3d startPoint,
NXOpen::Point3d endPoint 
)
virtual

Get the current location of the segment ends in ABS coordinates.

This value is overridden by the coordinates of the end RCPs associated with this segment.
Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startPointLocation of end 0 in ABS coordinates
endPointLocation of end 1 in ABS coordinates

Implements NXOpen::Routing::ISegment.

virtual void NXOpen::Routing::LineSegment::GetEndRcps ( NXOpen::Routing::ControlPoint **  startRcp,
NXOpen::Routing::ControlPoint **  endRcp 
)
virtual

Return of segment end control points.

The NXOpen::Routing::ControlPoint defines an end of a segment
Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startRcpRCP defining start of segment
endRcpRCP defining end of segment

Implements NXOpen::Routing::ISegment.

NXString NXOpen::Routing::LineSegment::GetGuid ( )

Returns the Globally Unique Identifier (GUID) for this segment.

Returns
The GUID for this segment.
Created in NX8.0.3.

License requirements : routing_base ("Routing Basic")
virtual int NXOpen::Routing::LineSegment::GetIntegerCharacteristic ( const NXString name)
virtual

Get the value of an integer characteristic associated with the input name.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
namename

Implements NXOpen::Routing::ICharacteristic.

virtual int NXOpen::Routing::LineSegment::GetIntegerCharacteristic ( const char *  name)
virtual

Get the value of an integer characteristic associated with the input name.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
namename

Implements NXOpen::Routing::ICharacteristic.

virtual NXOpen::Routing::Eccentric NXOpen::Routing::LineSegment::GetIsEccentricSegment ( )
virtual

Is given segment a eccentric segment?

Returns
Is segment a eccentric segment?
Created in NX8.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual NXOpen::Routing::Interior NXOpen::Routing::LineSegment::GetIsSegmentInterior ( )
virtual

Query if a segment is interior to any part.

Returns
Is segment interior?
Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual NXOpen::Routing::Terminal NXOpen::Routing::LineSegment::GetIsTerminalSegment ( )
virtual

Is given segment a terminal segment?

Returns
Is segment a terminal segment?
Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual double NXOpen::Routing::LineSegment::GetRealCharacteristic ( const NXString name)
virtual

Get the value of a real characteristic associated with the input name.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
namename

Implements NXOpen::Routing::ICharacteristic.

virtual double NXOpen::Routing::LineSegment::GetRealCharacteristic ( const char *  name)
virtual

Get the value of a real characteristic associated with the input name.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
namename

Implements NXOpen::Routing::ICharacteristic.

virtual std::vector<NXOpen::Routing::Stock *> NXOpen::Routing::LineSegment::GetSegmentAllStocks ( )
virtual

Returns NXOpen::Routing::Stock as well as NXOpen::Routing::Overstock objects from the NXOpen::Routing::ISegment .

Returns
Array of stocks/overstocks.
Created in NX5.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual std::vector<NXOpen::Routing::Stock *> NXOpen::Routing::LineSegment::GetSegmentStock ( )
virtual

Returns all stocks that directly reference this segment as part of the path defining the stock.

Returns

Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

virtual NXString NXOpen::Routing::LineSegment::GetStringCharacteristic ( const NXString name)
virtual

Get the value of a string characteristic associated with the input name.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
namename

Implements NXOpen::Routing::ICharacteristic.

virtual NXString NXOpen::Routing::LineSegment::GetStringCharacteristic ( const char *  name)
virtual

Get the value of a string characteristic associated with the input name.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
namename

Implements NXOpen::Routing::ICharacteristic.

bool NXOpen::Routing::LineSegment::IsAngleLocked ( NXOpen::NXObject object)

Returns whether or not an angle, parallel or perpendicular constraint exists that constrains the angle between this segment and the other input object.

Both line segments must not be occurrences.

Returns
Whether or not the angle is locked.
Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
objectOther object
bool NXOpen::Routing::LineSegment::IsLengthLocked ( )

Returns whether or not a distance constraint exists that constrains the distance between the two end control points of this line segment.

Returns
Whether or not the length is locked.
Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")
virtual double NXOpen::Routing::LineSegment::Length ( )
virtual

Returns the length of the segment.


Created in NX11.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Implements NXOpen::Routing::ISegment.

NXOpen::Positioning::Constraint* NXOpen::Routing::LineSegment::LockAngle ( NXOpen::NXObject object,
bool  logicalConsOnly 
)

Adds a constraint to maintain the angle of this line segment with respect to another object.

It does this by ensuring that there is an angle, perpendicular or parallel constraint between this line segment and the other object. This line segment must not be an occurrence, the other object may be an occurrence.

See NXOpen::Positioning::Constraint for a description of angle, parallel and perpendicular constraints.

Returns
The new or existing angle constraint.
Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
objectOther object.
logicalConsOnlyif true, only create perpendicular or parallel constraints, if false will also create angle constraints.
NXOpen::Positioning::Constraint* NXOpen::Routing::LineSegment::LockLength ( )

Adds a constraint to maintain the length of this line segment.

It does this by ensuring that there is a distance constraint between the two end NXOpen::Routing::ControlPoint objects of this line segment. See NXOpen::Positioning::Constraint for a description of distance constraints.

Returns
The new or existing distance constraint between the end control points.
Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")
virtual void NXOpen::Routing::LineSegment::SetCharacteristic ( const NXString name,
int  value 
)
virtual

Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to integer if it's type is not integer.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::Routing::ICharacteristic::SetCharacteristic2 instead.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
namename
valuevalue

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic ( const char *  name,
int  value 
)
virtual

Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to integer if it's type is not integer.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::Routing::ICharacteristic::SetCharacteristic2 instead.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
namename
valuevalue

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic ( const NXString name,
double  value 
)
virtual

Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to real if it's type is not real.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::Routing::ICharacteristic::SetCharacteristic2 instead.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
namename
valuevalue

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic ( const char *  name,
double  value 
)
virtual

Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to real if it's type is not real.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::Routing::ICharacteristic::SetCharacteristic2 instead.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
namename
valuevalue

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic ( const NXString name,
const NXString value 
)
virtual

Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to string if it's type is not string.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::Routing::ICharacteristic::SetCharacteristic2 instead.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
namename
valuevalue

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic ( const char *  name,
const char *  value 
)
virtual

Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to string if it's type is not string.

Deprecated:
Deprecated in NX11.0.0. Use NXOpen::Routing::ICharacteristic::SetCharacteristic2 instead.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
namename
valuevalue

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic2 ( const NXString title,
int  value 
)
virtual

Sets or creates an integer type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies::Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies::Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.
Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic2 ( const char *  title,
int  value 
)
virtual

Sets or creates an integer type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies::Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies::Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.
Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic2 ( const NXString title,
double  value 
)
virtual

Sets or creates a double type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies::Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies::Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.
Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic2 ( const char *  title,
double  value 
)
virtual

Sets or creates a double type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies::Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies::Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.
Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic2 ( const NXString title,
const NXString value 
)
virtual

Sets or creates a string type type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies::Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies::Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.
Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristic2 ( const char *  title,
const char *  value 
)
virtual

Sets or creates a string type type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies::Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies::Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.
Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristics ( NXOpen::Routing::CharacteristicList values)
virtual

Set all of the characteristics values on this object.


Deprecated:
Deprecated in NX11.0.0. Use NXOpen::Routing::ICharacteristic::SetCharacteristics2 instead.


Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
valuesvalues

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetCharacteristics2 ( NXOpen::Routing::CharacteristicList values)
virtual

Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already.

If the method is called on a stock Assemblies::Component , the method will create or edit part attributes on the stock part. For legacy parts where the attributes are on the stock component, the attributes will be moved to the stock part.

If the method is called on a non-stock Assemblies::Component , the method will create or edit attributes on the corresponding instance. For legacy parts where the attribute is on the component, the attributes will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create attributes on the object itself.
Created in NX11.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
valuesNXOpen::Routing::CharacteristicList having the titles, types and values of Attributes to be set

Implements NXOpen::Routing::ICharacteristic.

virtual void NXOpen::Routing::LineSegment::SetEndPoints ( const NXOpen::Point3d startPoint,
const NXOpen::Point3d endPoint 
)
virtual

Set the current location of the segment ends in ABS coordinates.

This value is overridden by the coordinates of the end RCPs associated with this segment.
Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startPointNew location of end 0 in ABS coordinates
endPointNew location of end 1 in ABS coordinates

Implements NXOpen::Routing::ISegment.

virtual void NXOpen::Routing::LineSegment::SetEndRcps ( NXOpen::Routing::ControlPoint startRcp,
NXOpen::Routing::ControlPoint endRcp 
)
virtual


Created in NX4.0.0.



License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
startRcpRCP defining start of segment
endRcpRCP defining end of segment

Implements NXOpen::Routing::ISegment.

virtual void NXOpen::Routing::LineSegment::SetIsTerminalSegment ( NXOpen::Routing::Terminal  isTerminal)
virtual

Set given segment to be a terminal segment?
Created in NX4.0.0.



License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
isTerminalSet as terminal segment?

Implements NXOpen::Routing::ISegment.

virtual void NXOpen::Routing::LineSegment::SetSegmentInteriorPart ( NXOpen::Assemblies::Component interiorPart)
virtual

Set a segment to be interior to supplied part
Created in NX4.0.0.



License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
interiorPartPart segment interior?

Implements NXOpen::Routing::ISegment.

void NXOpen::Routing::LineSegment::UnlockAngle ( NXOpen::NXObject object)

Removes the angle, parallel or perpendicular constraint that constrains the angle between this line segment and the input object.

This line segment must not be an occurrence.

Call NXOpen::Update::DoUpdate afterwards to ensure that the constraint is fully deleted.


Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
objectOther object
void NXOpen::Routing::LineSegment::UnlockLength ( )

Removes the distance constraint that constrains the distance between the two end control points of this line segment.

Call NXOpen::Update::DoUpdate afterwards to ensure that the constraint is fully deleted.


Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.